From 154aae0e3c75aa04eacb4352a8cf23e8481d5f7c Mon Sep 17 00:00:00 2001
From: Aleksandra Fedorova <afedorova@redhat.com>
Date: Jul 26 2023 07:55:09 +0000
Subject: Fedora 36 EOL


---

diff --git a/FZCI.dhall/Nodesets.dhall b/FZCI.dhall/Nodesets.dhall
index d801319..95f9813 100644
--- a/FZCI.dhall/Nodesets.dhall
+++ b/FZCI.dhall/Nodesets.dhall
@@ -7,19 +7,16 @@ let Nodeset =
             < Fedora-Latest-Container
             | Fedora-38-Container
             | Fedora-37-Container
-            | Fedora-36-Container
             | Centos-8-Container
             | Centos-7-Container
             | Fedora-Rawhide-VM
             | Fedora-Latest-VM
             | Fedora-38-VM
             | Fedora-37-VM
-            | Fedora-36-VM
             | Fedora-Rawhide-VM-Medium
             | Fedora-Latest-VM-Medium
             | Fedora-38-VM-Medium
             | Fedora-37-VM-Medium
-            | Fedora-36-VM-Medium
             | Centos-8-VM
             | Centos-Stream-9-VM
             >
@@ -28,19 +25,16 @@ let Nodeset =
             [ Union.Fedora-Latest-Container
             , Union.Fedora-38-Container
             , Union.Fedora-37-Container
-            , Union.Fedora-36-Container
             , Union.Centos-8-Container
             , Union.Centos-7-Container
             , Union.Fedora-Rawhide-VM
             , Union.Fedora-Latest-VM
             , Union.Fedora-38-VM
             , Union.Fedora-37-VM
-            , Union.Fedora-36-VM
             , Union.Fedora-Rawhide-VM-Medium
             , Union.Fedora-Latest-VM-Medium
             , Union.Fedora-38-VM-Medium
             , Union.Fedora-37-VM-Medium
-            , Union.Fedora-36-VM-Medium
             , Union.Centos-8-VM
             , Union.Centos-Stream-9-VM
             ]
@@ -68,8 +62,6 @@ let Nodeset =
                     create "fedora-38-container" "zuul-worker-f38" "container"
                 , Fedora-37-Container =
                     create "fedora-37-container" "zuul-worker-f37" "container"
-                , Fedora-36-Container =
-                    create "fedora-36-container" "zuul-worker-f36" "container"
                 , Centos-8-Container =
                     create "centos-8-container" "pod-centos-8" "container"
                 , Centos-7-Container =
@@ -88,8 +80,6 @@ let Nodeset =
                     create "fedora-38-vm" "cloud-fedora-38-small" "cloud-host"
                 , Fedora-37-VM =
                     create "fedora-37-vm" "cloud-fedora-37-small" "cloud-host"
-                , Fedora-36-VM =
-                    create "fedora-36-vm" "cloud-fedora-36-small" "cloud-host"
                 , Fedora-Rawhide-VM-Medium =
                     create
                       "fedora-rawhide-vm-medium"
@@ -110,11 +100,6 @@ let Nodeset =
                       "fedora-37-vm-medium"
                       "cloud-fedora-37-medium"
                       "cloud-host"
-                , Fedora-36-VM-Medium =
-                    create
-                      "fedora-36-vm-medium"
-                      "cloud-fedora-36-medium"
-                      "cloud-host"
                 , Centos-8-VM =
                     create "centos-8-vm" "cloud-centos-8-stream" "cloud-host"
                 , Centos-Stream-9-VM =
diff --git a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
index 55c94dc..6f0ff62 100644
--- a/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
+++ b/FZCI.dhall/fedora-zuul-jobs-config/jobs.dhall
@@ -61,7 +61,7 @@ let Arch =
 
 let executor_nodeset = Zuul.Nodeset.Inline Zuul.Nodeset.empty
 
-let default_nodeset = Nodesets.getName Nodesets.Type.Fedora-36-Container
+let default_nodeset = Nodesets.getName Nodesets.Type.Fedora-38-Container
 
 let check_for_sti_tests =
       Zuul.Job::{
diff --git a/FZCI.dhall/fedora-zuul-jobs/jobs.dhall b/FZCI.dhall/fedora-zuul-jobs/jobs.dhall
index 31dd1c8..4feee41 100644
--- a/FZCI.dhall/fedora-zuul-jobs/jobs.dhall
+++ b/FZCI.dhall/fedora-zuul-jobs/jobs.dhall
@@ -127,7 +127,7 @@ let createRpmInspectJob
               , requires = Some [ "repo" ]
               , branches = Branches.zuulBranch branch
               , nodeset = Some
-                  (Nodesets.getName Nodesets.Type.Fedora-36-Container)
+                  (Nodesets.getName Nodesets.Type.Fedora-38-Container)
               , vars = Some
                   ( Zuul.Vars.object
                       [ { mapKey = "rpminspect_cmd"
@@ -150,7 +150,7 @@ let rpm_linter_job =
       , name = "rpm-linter"
       , parent = Some "repo-rpm-lint"
       , requires = Some [ "repo" ]
-      , nodeset = Some (Nodesets.getName Nodesets.Type.Fedora-36-Container)
+      , nodeset = Some (Nodesets.getName Nodesets.Type.Fedora-38-Container)
       , branches = Some Branches.allText
       , voting = Some False
       }

